Kubernetes
action Service

# create_service_endpoint

Create a service endpoint

Run it now
View details

Type | action
Module | chaosk8s.service.actions
Name | create_service_endpoint
Return | None

Usage

JSON

    {
      "name": "create-service-endpoint",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.service.actions",
        "func": "create_service_endpoint",
        "arguments": {
          "spec_path": ""
        }
      }
    }

YAML

    name: create-service-endpoint
    provider:
      arguments:
        spec_path: ""
      func: create_service_endpoint
      module: chaosk8s.service.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | No | Namespace |
spec_path | string |  | Yes | Specification | Local path to an Service JSON/YAML manifest

Creates a service endpoint described by the service config, which must be the path to the JSON or YAML representation of the service.

Signature

    def create_service_endpoint(spec_path: str,
                                ns: str = 'default',
                                secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Service

  ## `delete_service`

  Remove a service
- Kubernetes
  probe Service

  ## `service_is_initialized`

  Check if a service is initialized
- Kubernetes
  action Statefulset

  ## `scale_statefulset`

  Scale a statefulset up or down